Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler Member List

This is the complete list of members for eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler, including all inherited members.

archiveUrlAliasesForDeletedTranslations($locationId, $parentLocationId, array $languageCodes) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
createCustomUrlAlias($locationId, $path, $forwarding=false, $languageCode=null, $alwaysAvailable=false) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
createGlobalUrlAlias($resource, $path, $forwarding=false, $languageCode=null, $alwaysAvailable=false) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
deleteCorruptedUrlAliases() | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
listGlobalURLAliases($languageCode=null, $offset=0, $limit=-1) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
listURLAliasesForLocation($locationId, $custom=false) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
loadUrlAlias($id) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
locationCopied($locationId, $newLocationId, $newParentId) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
locationDeleted($locationId) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
locationMoved($locationId, $oldParentId, $newParentId) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
locationSwapped($location1Id, $location1ParentId, $location2Id, $location2ParentId) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
lookup($url) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
publishUrlAliasForLocation($locationId, $parentLocationId, $name, $languageCode, $alwaysAvailable=false) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
removeURLAliases(array $urlAliases) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
repairBrokenUrlAliasesForLocation(int $locationId) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |
translationRemoved(array $locationIds, $languageCode) | eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.